#pragma once

class Application {
public:
	~Application() = default;
	
	static Application* GetInstance();
	
	bool isApplicationRunning = false;
	bool debugMode = false;
private:
	static Application* instance;	

	Application();
		
	void quit();
};
